%define anolis_release 2
%global glib2_version 2.62
%global fribidi_version 1.0.6
%global libthai_version 0.1.9
%global harfbuzz_version 2.6.0
%global fontconfig_version 2.13.0
%global libXft_version 2.0.0
%global cairo_version 1.12.10
%global freetype_version 2.1.5

Name: pango
Version: 1.50.6
Release: %{anolis_release}%{?dist}
Summary: System for layout and rendering of internationalized text

License: LGPLv2+
URL:     https://pango.gnome.org/
Source0: https://download.gnome.org/sources/%{name}/1.50/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(cairo) >= %{cairo_version}
BuildRequires: pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires: pkgconfig(freetype2) >= %{freetype_version}
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(fontconfig) >= %{fontconfig_version}
BuildRequires: pkgconfig(harfbuzz) >= %{harfbuzz_version}
BuildRequires: pkgconfig(libthai) >= %{libthai_version}
BuildRequires: pkgconfig(xft) >= %{libXft_version}
BuildRequires: pkgconfig(fribidi) >= %{fribidi_version}
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: help2man
BuildRequires: meson
BuildRequires: gcc gcc-c++

Requires: glib2 >= %{glib2_version}
Requires: freetype >= %{freetype_version}
Requires: fontconfig >= %{fontconfig_version}
Requires: cairo >= %{cairo_version}
Requires: harfbuzz >= %{harfbuzz_version}
Requires: libthai >= %{libthai_version}
Requires: libXft >= %{libXft_version}
Requires: fribidi >= %{fribidi_version}

%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

Pango is designed to be modular; the core Pango layout engine can be used
with different font backends.

The integration of Pango with Cairo provides a complete solution with high
quality text handling and graphics rendering.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for pango
Requires: pango = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: freetype-devel >= %{freetype_version}
Requires: fontconfig-devel >= %{fontconfig_version}
Requires: cairo-devel >= %{cairo_version}

%description devel
The pango-devel package includes the header files and developer documentation
for the pango package.

%package tests
Summary: Tests for the %{name} package
Requires: %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%autosetup -n pango-%{version} -p1


%build
%meson \
  -Dinstall-tests=true

%meson_build


%install
%meson_install

PANGOXFT_SO=$RPM_BUILD_ROOT%{_libdir}/libpangoxft-1.0.so
if ! test -e $PANGOXFT_SO; then
        echo "$PANGOXFT_SO not found; did not build with Xft support?"
        ls $RPM_BUILD_ROOT%{_libdir}
        exit 1
fi

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libpango*-*.so.*
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_bindir}/pango-view
%{_mandir}/man1/pango-view.1*
%{_libdir}/girepository-1.0/Pango-1.0.typelib
%{_libdir}/girepository-1.0/PangoCairo-1.0.typelib
%{_libdir}/girepository-1.0/PangoFc-1.0.typelib
%{_libdir}/girepository-1.0/PangoFT2-1.0.typelib
%{_libdir}/girepository-1.0/PangoOT-1.0.typelib
%{_libdir}/girepository-1.0/PangoXft-1.0.typelib
%{abidir}/libpango*.dump
%{abidir}/pango-*-option.list

%files doc
%doc NEWS README.md

%files devel
%{_libdir}/libpango*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Pango-1.0.gir
%{_datadir}/gir-1.0/PangoCairo-1.0.gir
%{_datadir}/gir-1.0/PangoFc-1.0.gir
%{_datadir}/gir-1.0/PangoFT2-1.0.gir
%{_datadir}/gir-1.0/PangoOT-1.0.gir
%{_datadir}/gir-1.0/PangoXft-1.0.gir

%files tests
%{_libexecdir}/installed-tests/%{name}
%{_datadir}/installed-tests


%changelog
* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.50.6-2
- optimise spec file & add doc package

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 1.50.6-1
- Initial build for Anolis V23
